﻿using Infragistics.UltraChart.Data;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        GanttDataSource ganttData = new GanttDataSource();
        GanttSeries seriesA = ganttData.Series.Add("Series A");
        GanttItem task1 = seriesA.Items.Add("Task 1");
        task1.Times.Add(DateTime.Parse("11/29/2004 12:00 PM"),
          DateTime.Parse("12/01/2004 12:00 PM"));
        task1.Times[0].ID = 0;
        task1.Times[0].LinkToID = 1;
        task1.Times[0].PercentComplete = 100;
        task1.Times[0].Owner = "Worker A";
        
        task1.Times.Add(DateTime.Parse("12/10/2004 12:00 PM"),
          DateTime.Parse("12/22/2004 12:00 PM"));
        task1.Times[0].ID = 1;
        task1.Times[0].LinkToID = 1;
        task1.Times[0].PercentComplete = 60;
        task1.Times[0].Owner = "Worker B";

        GanttItem task2 = seriesA.Items.Add("Task 2");
        task2.Times.Add(DateTime.Parse("12/04/2004 12:00 PM"),
          DateTime.Parse("12/11/2004 12:00 PM"));
        task2.Times[0].ID = 1;
        task2.Times[0].LinkToID = 1;
        task2.Times[0].PercentComplete = 60;
        task2.Times[0].Owner = "Worker B";
        UltraChart1.DataSource = ganttData;
        UltraChart1.Data.DataBind();
    }
}